summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuildberyl34
-rw-r--r--git-checkout.py54
-rwxr-xr-xmakeall30
3 files changed, 118 insertions, 0 deletions
diff --git a/buildberyl b/buildberyl
new file mode 100755
index 0000000..af036b8
--- /dev/null
+++ b/buildberyl
@@ -0,0 +1,34 @@
+#!/bin/bash
+(
+REV=$1
+rm -rf beryltar-make
+rm -rf beryltar-dist
+mkdir beryltar-dist
+echo "Exporting..." >&3
+svn export svn+ssh://devsvn.beryl-project.org/beryl/tags/release-${REV} beryltar-make
+RELPKGS="beryl-core beryl-manager beryl-mesa beryl-plugins beryl-plugins-unsupported beryl-settings beryl-settings-simple heliodor emerald emerald-themes aquamarine"
+pushd beryltar-make
+for each in ${RELPKGS}
+do
+ echo "Building $each" >&3
+ if pushd $each
+ then
+ if [ $each == aquamarine ]
+ then
+ sh ../distro-specific-build-files/aquamarine/aquamarineRelease.sh -av $REV --packagedir ../../../beryltar-dist/
+ else
+ make distclean
+ sh ./autogen.sh
+ make dist
+ mv *.tar.gz *.tar.bz2 ../../beryltar-dist/
+ fi
+ popd
+ fi
+done
+popd
+pushd beryltar-dist
+for each in *.tar.*
+do
+ md5sum $each >> md5sums
+done
+) 3>&1 &> beryltar.log
diff --git a/git-checkout.py b/git-checkout.py
new file mode 100644
index 0000000..a259339
--- /dev/null
+++ b/git-checkout.py
@@ -0,0 +1,54 @@
+#!/usr/bin/env python
+
+import os, sys, getopt
+
+def usage (n = 0):
+ print 'Usage:\n\t' + sys.argv [0] + ' [--dev] [--user=USER]'
+ sys.exit (n)
+
+if not os.path.exists ("beryl"):
+ os.mkdir ("beryl")
+os.chdir ("beryl")
+
+components = [
+ "beryl-core",
+ "beryl-plugins",
+ "beryl-plugins-unsupported",
+ "beryl-plugins-vidcap",
+ "beryl-manager",
+ "beryl-settings",
+ "beryl-settings-bindings",
+ "beryl-settings-simple",
+ "beryl-settings-tool",
+ "beryl-setup",
+ "aquamarine",
+ "heliodor",
+ "emerald",
+ "emerald-themes",
+ "distro-specific-build-files",
+ "bcop",
+ "beryl-desktop-manager",
+ "beryl-extra-artwork",
+ "beryl-mesa"
+ ]
+
+protocol = "git"
+user = ""
+path = ""
+
+try:
+ opts, args = getopt.getopt (sys.argv[1:], 'h', ['help', 'dev', 'user='])
+except getopt.GetoptError:
+ usage (2)
+for o, a in opts:
+ if o in ('-h', '--help'):
+ usage ()
+ if o == '--dev':
+ protocol = "git+ssh"
+ path = "git/"
+ if o == '--user':
+ user = a + '@'
+
+for i in components:
+ os.system ('git clone "' + protocol + '://' + user \
+ + 'git.beryl-project.org/' + path + 'beryl/' + i + '"')
diff --git a/makeall b/makeall
new file mode 100755
index 0000000..529f7c5
--- /dev/null
+++ b/makeall
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+DEFCFLAGS="-O2 -ggdb3 -gstabs+ -Wall"
+MYCFLAGS=${CFLAGS:-$DEFCFLAGS}
+
+DEFPREFIX="/usr"
+MYPREFIX=${PREFIX:-$DEFPREFIX}
+
+MAKEOPTS="-j3"
+
+ITEMS="beryl-core beryl-plugins beryl-plugins-unsupported beryl-settings-bindings beryl-settings beryl-manager emerald emerald-themes aquamarine heliodor"
+for item in $ITEMS
+do
+ cd $item
+ if [ "$item" == "beryl-core" ]
+ then
+ XGL="--enable-xgl"
+ else
+ XGL=""
+ fi
+ if nice -n 19 ./autogen.sh $XGL --prefix=$MYPREFIX CFLAGS="$MYCFLAGS" && ([ "$item" = "aquamarine" ] && nice -n 19 ./configure --prefix=$MYPREFIX CFLAGS="$MYCFLAGS" || true) && nice -n 19 make $MAKEOPTS && nice -n 19 sudo make install
+ then
+ cd ../
+ echo $item built ok
+ else
+ cd ../
+ echo BUILD FAILED for $item
+ exit 1
+ fi
+done